Items to be confirmed before use

The following are the recommended system requirements to use MiiTel Phone and MiiTel Analytics.

PC OS and Browser

.
  • MiiTel Phone (Cloud IP Phone)
    • MiiTel Phone (Cloud IP Phone)
    • Windows 10 Google Chrome latest version
    • Windows 10 Microsoft Edge version 49 or later
    • macOS Google Chrome latest version
    • macOS Microsoft Edge version 49 or later
        MiiTel Analytics (View response history and analytics)
        • Windows 10 Google Chrome latest version
        • Windows 10 Microsoft Edge version 49 or latermacOS Google Chrome latest versionmacOS Microsoft Edge version 49 or later
        We recommend that you use the latest version possible.
        We do not guarantee that MiiTel Analytics and MiiTel Phone will work on browsers, smartphones or tablets other than those listed above. Microsoft Internet Explorer is not compatible with MiiTel Phone.

        Headset

      • USB-connected headset
      • Binaural type headset
      • .

Was this article helpful?